﻿using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace DockingManagerFloatWindowInTaskBar
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            timer.Interval = new TimeSpan(0, 0, 0, 1);
            timer.Tick += Timer_Tick;
            dockingManager.DockStateChanging += DockingManager_DockStateChanging;
        }

        private void Timer_Tick(object sender, EventArgs e)
        {
            foreach (Window win in Application.Current.Windows)
            {
                if (win is NativeFloatWindow)
                {                    
                    win.Owner = null;
                }
            }
            timer.Stop();
        }

        DispatcherTimer timer = new DispatcherTimer();
        private void DockingManager_DockStateChanging(FrameworkElement sender, DockStateChangingEventArgs e)
        {
            if(e.TargetState == DockState.Float)
            timer.Start();
        }
    }
}
